import main
from twisted.internet import reactor
from utils.logging.debug import debug
from utils.logging.log import log


def handler(sig, frame):
    log("Received SIGINT, cleaning up")
    cleanup()


def cleanup():
    debug("Flushing Redis database")
    main.r.flushdb()
    reactor.stop()
    # sys.exit(1)
